"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendEmail = void 0;
const config_1 = require("../config");
const unsubscribe_1 = require("../unsubscribe");
const db_1 = require("../db");
const sendEmail = (message) => {
    const { id, email: { template, sendFrom, sendTo, subject, body } } = message;
    if (unsubscribe_1.hasUnsubscribed(sendTo)) {
        throw new Error(`The user ${sendTo} you are trying to send a message to has already unsubscribed`);
    }
    const transporter = config_1.getTransporter();
    const html = `${body}<br><a href="${config_1.getConfig().hosting.url}/unsubscribe?email=${sendTo}">Click here to unsubscribe</a>`;
    const mailOptions = {
        from: sendFrom,
        to: sendTo,
        subject,
        html,
    };
    transporter.sendMail(mailOptions, (err, info) => {
        if (err) {
            throw err;
        }
        db_1.setEmailSent(id);
    });
};
exports.sendEmail = sendEmail;
